summaryrefslogtreecommitdiffstats
path: root/apache-ant
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2016-05-05 11:11:12 +0000
committer Eric Hameleers <alien@slackware.com>2016-05-05 11:11:12 +0000
commitae187f62dbe8549e8d0672256147fd58bbdfca62 (patch)
tree6986d9cefb1858d19d13236772d56ac0c8c6f1ed /apache-ant
parent6284718a02470a1864231de676bda5d10e4659d5 (diff)
downloadasb-ae187f62dbe8549e8d0672256147fd58bbdfca62.tar.gz
asb-ae187f62dbe8549e8d0672256147fd58bbdfca62.tar.xz
apache-ant: updated to 1.9.7
Diffstat (limited to 'apache-ant')
-rwxr-xr-xapache-ant/build/apache-ant.SlackBuild12
1 files changed, 7 insertions, 5 deletions
diff --git a/apache-ant/build/apache-ant.SlackBuild b/apache-ant/build/apache-ant.SlackBuild
index 34e8bf6a..8a7909f7 100755
--- a/apache-ant/build/apache-ant.SlackBuild
+++ b/apache-ant/build/apache-ant.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
# $Id$
-# Copyright 2010, 2011 Eric Hameleers, Eindhoven, NL
+# Copyright 2010, 2011, 2016 Eric Hameleers, Eindhoven, NL
# All rights reserved.
#
# Permission to use, copy, modify, and distribute this software for
@@ -34,6 +34,8 @@
# * Initial build.
# 1.8.2-1: 13/may/2011 by Eric Hameleers <alien@slackware.com>
# * Update.
+# 1.9.7-1: 05/may/2016 by Eric Hameleers <alien@slackware.com>
+# * Update.
#
# Run 'sh apache-ant.SlackBuild' to build a Slackware package.
# The package (.tgz) and .txt file as well as build logs are created in /tmp .
@@ -44,11 +46,11 @@
# Set initial variables:
PRGNAM=apache-ant
-VERSION=${VERSION:-1.8.2}
+VERSION=${VERSION:-1.9.7}
ARCH=noarch
BUILD=${BUILD:-1}
TAG=${TAG:-alien}
-DOCS="INSTALL KEYS NOTICE README WHATSNEW docs/*"
+DOCS="CONTRIBUTORS INSTALL KEYS LICENSE NOTICE README WHATSNEW manual"
# Use the standardized ANT_HOME location:
ANT_HOME=/usr/share/ant
@@ -62,7 +64,7 @@ PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
SOURCE="$SRCDIR/${PRGNAM}-${VERSION}-bin.tar.bz2"
-SRCURL="http://www.apache-mirror.com/ant/binaries/${PRGNAM}-${VERSION}-bin.tar.bz2"
+SRCURL="https://www.apache.org/dist/ant/binaries/${PRGNAM}-${VERSION}-bin.tar.bz2"
##
## --- with a little luck, you won't have to edit below this point --- ##
@@ -95,7 +97,7 @@ if ! [ -f ${SOURCE} ]; then
[ -w "$SRCDIR" ] || SOURCE="$OUTPUT/$(basename $SOURCE)"
echo "Source '$(basename ${SOURCE})' not available yet..."
echo "Will download file to $(dirname $SOURCE)"
- wget -nv -T 20 -O "${SOURCE}" "${SRCURL}" || true
+ wget --no-check-certificate -nv -T 20 -O "${SOURCE}" "${SRCURL}" || true
if [ $? -ne 0 -o ! -s "${SOURCE}" ]; then
echo "Downloading '$(basename ${SOURCE})' failed... aborting the build."
mv -f "${SOURCE}" "${SOURCE}".FAIL